<?php

namespace App\Model\Entities\Components\Article;

use App\Model\Entities\Security\User;
use App\Model\Entities\Components\Review;
use Doctrine\ORM\Mapping as ORM;


/**
 * @ORM\Entity
 */
class ArticleTranslationReview extends Review
{
   /**
    * @var ArticleTranslation
    * @ORM\ManyToOne(targetEntity="ArticleTranslation")
    */
   protected $articleTranslation;

   public function __construct(ArticleTranslation $articleTranslation, User $grantedBy, $value)
   {
      parent::__construct($grantedBy, $value);

      $this->articleTranslation = $articleTranslation;
   }

   /**
    * @return Article
    */
   public function getArticleTranslation()
   {
      return $this->articleTranslation;
   }

}